/* rotation.h
   Copyright (C) 2012 J. A. Green <green8@sdf-eu.org>, If copyright allows, please addend copyright to additions to this source.
   lic: GNU GPL v3, see COPYING
*/
#ifndef VRT_ROTATION_H
#define VRT_ROTATION_H

#include "progscope.h"

#ifdef VRT_RENDERER_GL
#define rxy_vf(v, r) rxy_vrt_vf(v, r)
#define rzx_vf(v, r) rzx_gl_vf(v, r)
#define rxz_vf(v, r) rzx_gl_vf(v, r)
#define ryz_vf(v, r) ryz_gl_vf(v, r)
#endif /* VRT_RENDERER_GL */

void rxy_vrt_vf(vf_t * pv, float ang_dpl);
void rzx_gl_vf(vf_t * pv, float ang_dpl);
void ryz_gl_vf(vf_t * pv, float ang_dpl);
float deg_to_radf(float deg);

#endif /* VRT_ROTATION_H */
