/* bittoggles.h
   Copyright (C) 2012 J. A. Green <green8@sdf-eu.org>, If copyright allows, please addend copyright to additions to this source.
   lic: GNU GPL v3, see COPYING
*/
#if !(defined VRT_BITTOGGLES_H)
#define VRT_BITTOGGLES_H

typedef unsigned int btoggles_t; 
int test_sw(btoggles_t givenbit, btoggles_t * btoggles);
void set_sw(btoggles_t givenbit, btoggles_t * btoggles);
void unset_sw(btoggles_t givenbit, btoggles_t * btoggles);
void set_mask(btoggles_t givenbits, btoggles_t * btoggles);
void unset_mask(btoggles_t givenbits, btoggles_t * btoggles);
int true_mask(btoggles_t givenbits, btoggles_t * btoggles);
int test_sw_p(btoggles_t * givenbit, btoggles_t * btoggles);
void set_sw_p(btoggles_t * givenbit, btoggles_t * btoggles);
void unset_sw_p(btoggles_t * givenbit, btoggles_t * btoggles);
void set_mask_p(btoggles_t * givenbits, btoggles_t * btoggles);
void unset_mask_p(btoggles_t * givenbits, btoggles_t * btoggles);
int true_mask_p(btoggles_t * givenbits, btoggles_t * btoggles);
void print_toggles(char * message, btoggles_t * btoggles);

#endif /* !(defined VRT_BITTOGGLES_H) */
